Upcoming Webinar - Learn How to Be Cyber-Smart for This Year's Cybersecurity Awareness Month Register Now

Automatically Block Compromised User Accounts with Lepide Active Directory Self Service 20.1

August 19, 2020, Product Update

With the latest update of Lepide Active Directory Self Service (LADSS) 20.1, administrators can now block users that enter multiple incorrect passwords for a specified period of time; potentially preventing brute force attacks or compromised user accounts from authenticating.

Administrators can specify when the user is unblocked and can also unblock a user manually to prevent unnecessary downtime and disruption.

In addition to this new security feature, Lepide Active Directory Self Service now supports a connection to LDAPS (which Lepide recommends always be configured), multifactor authentication, a newly designed user interface, and a multi-layer security structure.

For a full list of updates and enhancements in Lepide Active Directory Self Service 20.1, read our release history.